FastNetMon

пятница, 17 сентября 2010 г.

Критическая локальная root уязвимость 64 битных новых ядер Linux: CVE-2010-3301

Блог кернел хакера, который нашел баг: http://sota.gen.nz/compat2/

Эксплоит: http://sota.gen.nz/compat2/robert_you_suck.c

Обсуждение на Лоре: http://www.linux.org.ru/news/security/5340028/page1?lastmod=1284669535613

Обсуждение на Опеннете: http://www.opennet.ru/opennews/art.shtml?num=27979

RHEL 5 / CentOS 5 ядра, по заявлению RedHat, не уязвимы: https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2010-3301

Новые версии Ubuntu (Lucid, Keramic, Jaunty) на ядрах начиная с 28го (28, 31, 32) и выше уязвимы, но в апдейтах уже есть фикс, подробнее: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/640390, а вот обновленные пакеты: https://edge.launchpad.net/~ubuntu-security-proposed/+archive/ppa/+packages

Классификатор уязвимости: CVE-2010-3301

А вот патчи для upstream ядра: http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=36d001c70d8a0144ac1d038f6876c484849a74de

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=eefdca043e8391dcd719711716492063030b55ac

P.S. кому нужны патчи против бага для ванильного 34го ядра - велкам в комменты.

Комментариев нет :

Отправить комментарий

Примечание. Отправлять комментарии могут только участники этого блога.